geos::noding::ValidatingNoder Class Reference

`#include <ValidatingNoder.h>`

Inheritance diagram for geos::noding::ValidatingNoder:

## Public Member Functions

| ValidatingNoder (Noder &noderArg)
void | computeNodes (std::vector< SegmentString * > *segStrings) override
| Computes the noding for a collection of SegmentStrings.
void | validate ()
std::vector< SegmentString * > * | getNodedSubstrings () const override
| Returns a collection of fully noded SegmentStrings. The SegmentStrings have the same context as their parent.

## Detailed Description

A wrapper for `noding::Noder`s which validates the output arrangement is correctly noded. An arrangement of line segments is fully noded if there is no line segment which has another segment intersecting its interior. If the noding is not correct, a `util::TopologyException` is thrown with details of the first invalid location found.

Author
  mdavis

See also
  FastNodingValidator

## Member Function Documentation

## computeNodes()

void geos::noding::ValidatingNoder::computeNodes | ( | std::vector< SegmentString * > * | segStrings | ) |

override virtual

Computes the noding for a collection of SegmentStrings.

Some Noders may add all these nodes to the input SegmentStrings; others may only add some or none at all.

Parameters

  segStrings | a collection of `SegmentString`s to node The caller remains responsible for releasing the memory associated with the container and its elements.

Implements geos::noding::Noder.

## getNodedSubstrings()

std::vector< SegmentString * > * geos::noding::ValidatingNoder::getNodedSubstrings | ( |  | ) | const

override virtual

Returns a collection of fully noded SegmentStrings. The SegmentStrings have the same context as their parent.

Returns
  a newly allocated std::vector of newly allocated SegmentStrings (copies of input, if needs be). Caller is responsible to delete container and elements.

Implements geos::noding::Noder.

The documentation for this class was generated from the following file:

- ValidatingNoder.h